# Get row count Gets the row count of a BI view. Note: This operation starts a count query against the database for a full table scan. It is helful to know the number of rows that will be returned before data download. However, if the data volume is large, this operation might result in timeout responses. Endpoint: GET /api/integration/v2/biviews/count/{tmpl_name} Version: 2025-08-06 ## Header parameters: - `token` (string, required) The valid authentication token that is generated by the Authentication operation. ## Path parameters: - `tmpl_name` (string, required) Name of the BI view. ## Query parameters: - `clientId` (integer, required) The ID of the Zuora Revenue application user. - `fromDate` (string) The date from which the data query begins. - `toDate` (string) The date on which the data query ends. ## Response 200 fields ## Response 400 fields ## Response 401 fields